/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2008 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_TMO_H_
#define _SOPRANO_TMO_H_

#include <QtCore/QUrl>

namespace Nepomuk {
    namespace Vocabulary {
        namespace TMO {
            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#
             */
            QUrl tmoNamespace();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#Tag 
             * 
             * Represents a generic tag 
             */
            QUrl Tag();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#description 
             */
            QUrl description();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#prefLabel 
             */
            QUrl prefLabel();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#AbilityCarrier 
             * 
             * tmo:AbilityCarrier is an abstract class which comprises all 
             * entities which can take action or which are somehow involved 
             * in tasks. 
             * This is in other task conceptualizations rather named "actor". 
             * But here it is named tmo:AbilityCarrier because it is not necessarily 
             * "active". 
             * 
             * 
             * <br> 
             * The execution of a task relies on certain abilities. The abstract 
             * concept of 
             * tmo:AbilitiyCarrier's comprise all those more concrete concepts 
             * of which one can think of while working on tasks. Using this abstract 
             * class enables to substitute such tmo:AbilityCarrier's in 
             * the process of 
             * generating patterns from task instances and vice versa in the 
             * process of 
             * instantiating task instances from patterns without violating 
             * the schema. 
             * With this attribute, a series of ability carrying entities 
             * (Person, Role, 
             * Skill) and the role of involvement (required, request, used) 
             * is enabled. The role 
             * hereby allows specifying how the ability carrying entity is 
             * or was 
             * involved. 
             */
            QUrl AbilityCarrier();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#AbilityCarrierInvolvement 
             * 
             * For a task it is possible to state which kinds of actors are involved 
             * in a task. Even more importantly the desired role or skills for 
             * this task can be explicitly stated. This provides guidance 
             * to which persons should be included and the role they might play 
             * in the task. To such as actors, we refer to as "Ability Carrier", 
             * which is more passive than the label "Actor", since not each 
             * involved thing is necessarily acting. The Involvement is further 
             * characterized by different roles: Requested, Required and 
             * Used. 
             * <br> 
             * The class AbilityCarrierInvolvement ties together an AbilityCarrier 
             * with an AbilityCarrierRole. 
             */
            QUrl AbilityCarrierInvolvement();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#AbilityCarrierRole 
             * 
             * Examples instances of tmo:AbilityCarrierRole's are e.g. 
             * "requested", "required" and "used" which further specify 
             * the type a person was involved in. 
             */
            QUrl AbilityCarrierRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#AssociationDependency 
             * 
             * A lighweight dependency where two tasks are just associated. 
             */
            QUrl AssociationDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Attachment 
             * 
             * By means of attachments, references to other resources can 
             * be established. Resources are information objects. Every 
             * Thing, which can be referenced, on the Nepomuk Social Semantik 
             * Desktop is an information object. In contrast to the usual Nepomuk 
             * Social Semantik Desktop references/associations, here additionally 
             * information can be specified. Further metadata about the role 
             * an attachment plays can be stated by means of instances of tmo:AttachmentRole. 
             * It can be expressed what the Role of attachment is e.g., regarding 
             * "desired/requested" or "required" or "potentially useful 
             * / somehow related" or "used/produced/achieved". The reference 
             * property models the actual link to the attached piece of information. 
             */
            QUrl Attachment();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#AttachmentRole 
             * 
             * tmo:AttachmentRoles further specify the type of how an tmo:Attachment 
             * relates to a tmo:Task. Example instances of tmo:AttachmentRoles 
             * are e.g. "desired_request", "required" and "used". 
             */
            QUrl AttachmentRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Delegability 
             * 
             * The extent to which a task is suited to be delegated. The stated 
             * instances are only proposals. The user should create instances 
             * which reflect his desired nuances. Aslo a straight Boolean 
             * decision is considerable. 
             */
            QUrl Delegability();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Importance 
             * 
             * The importance of a task according to the "ABC analysis" (see 
             * also http://en.wikipedia.org/wiki/Time_management for 
             * a general description of "ABC" like task ordering). We envision 
             * not only two shades but allow for more fine grain nuances. There 
             * are a couple if instances realizing named instances of importance. 
             * This property is usually combined with the property/class 
             * tmo:Urgence.. 
             */
            QUrl Importance();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Interdependence 
             * 
             * This is the case when task are identified as being very independent, 
             * possibly if they are indeed the same task. 
             */
            QUrl Interdependence();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#PersonInvolvement 
             * 
             * Often tasks are social, i.e., different persons are involved 
             * in performing the task. Those persons play different roles 
             * to achieve the goal of the task. These Roles are in form of instances 
             * of tmo:PersonInvolvementRole. tmo:PersonInvolvement realizes 
             * n-ary associations to pimo:Persons which are related to an 
             * tmo:task. The involvement is further characterized by an tmo:PersonTaskRole. 
             * See section 3 for further details. 
             */
            QUrl PersonInvolvement();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#PersonInvolvementRole 
             * 
             * Specifies the role a person plays in a task. These Roles are e.g. 
             * Creator, Controller, Requester, Contributor, Analyst, External 
             * Observer, Delegate, Task Owner, Executor, or Internal Observer. 
             * Some roles are only for information purpose, some are used for 
             * functionality e.g. for collaborative tasks. 
             */
            QUrl PersonInvolvementRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#PredecessorDependency 
             * 
             * In a tmo:PredecessorDependency the tmo:dependencyMemberA 
             * is the task which is to be executed before tmo:dependencyMemberB. 
             */
            QUrl PredecessorDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#PredecessorSuccessorDependency 
             * 
             * The tmo:PredecessorSuccessorDependency enables a directed 
             * relation between task. By means of the concrete subclasses 
             * one can further distinguish from which point of view this relation 
             * is created. 
             */
            QUrl PredecessorSuccessorDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Priority 
             * 
             * The priority of a task. See http://en.wikipedia.org/wiki/Time_management 
             * for different approaches on finding priorities. There are 
             * 3 default instances: low, medium and high. 
             */
            QUrl Priority();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Role 
             * 
             * The realizes roles in the sense that humans play various roles 
             * in their activities. Examples are e.g. : architect, developer 
             * or moderator. 
             */
            QUrl Role();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#SimilarityDependence 
             * 
             * For cases where task are just similar. 
             */
            QUrl SimilarityDependence();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Skill 
             * 
             * Skill humans posess and which are involved in activities. Examples 
             * areexamples are e.g. technologies like Java, XML, ... 
             */
            QUrl Skill();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#StateTypeRole 
             * 
             * tmo:StateTypeRole is an abstract class which subsumes various 
             * other classes which represent "states" or roles e.g. in role 
             * based modelling conceptualisations. 
             */
            QUrl StateTypeRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#SuccessorDependency 
             * 
             * In a tmo:SuccessorDependency the tmo:dependencyMemberA 
             * is the task which is to be executed after tmo:dependencyMemberB. 
             */
            QUrl SuccessorDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#SuperSubTaskDependency 
             * 
             * Stating that a task is a subtask of aanother tasks is accomplised 
             * by the property tmo:subtask. By means of the tmo:SuperSubTaskDependency 
             * one can additionally describe the subtask-supertask relation 
             * e.g. by an description. This enables an n-ary relation between 
             * subtask and supertask. 
             */
            QUrl SuperSubTaskDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AbilityCarrierRole_Requested 
             */
            QUrl TMO_Instance_AbilityCarrierRole_Requested();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AbilityCarrierRole_Required 
             */
            QUrl TMO_Instance_AbilityCarrierRole_Required();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AbilityCarrierRole_Used 
             */
            QUrl TMO_Instance_AbilityCarrierRole_Used();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AttachmentRole_Desired_Requested 
             */
            QUrl TMO_Instance_AttachmentRole_Desired_Requested();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AttachmentRole_Related 
             */
            QUrl TMO_Instance_AttachmentRole_Related();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AttachmentRole_Required 
             */
            QUrl TMO_Instance_AttachmentRole_Required();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_AttachmentRole_Used 
             */
            QUrl TMO_Instance_AttachmentRole_Used();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Delegability_High 
             */
            QUrl TMO_Instance_Delegability_High();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Delegability_Low 
             */
            QUrl TMO_Instance_Delegability_Low();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Delegability_Medium 
             */
            QUrl TMO_Instance_Delegability_Medium();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Delegability_Never 
             */
            QUrl TMO_Instance_Delegability_Never();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Delegability_Unrestricted 
             */
            QUrl TMO_Instance_Delegability_Unrestricted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_01 
             */
            QUrl TMO_Instance_Importance_01();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_02 
             */
            QUrl TMO_Instance_Importance_02();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_03 
             */
            QUrl TMO_Instance_Importance_03();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_04 
             */
            QUrl TMO_Instance_Importance_04();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_05 
             */
            QUrl TMO_Instance_Importance_05();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_06 
             */
            QUrl TMO_Instance_Importance_06();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_07 
             */
            QUrl TMO_Instance_Importance_07();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_08 
             */
            QUrl TMO_Instance_Importance_08();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_09 
             */
            QUrl TMO_Instance_Importance_09();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Importance_10 
             */
            QUrl TMO_Instance_Importance_10();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Analyst 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Analyst();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Co-worker 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Coworker();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Collaborator 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Collaborator();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Controller 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Controller();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Creator 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Creator();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Delegate 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Delegate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Executor 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Executor();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_ExternalObserver 
             */
            QUrl TMO_Instance_PersonInvolvementRole_ExternalObserver();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Initiator 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Initiator();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_InternalObserver 
             */
            QUrl TMO_Instance_PersonInvolvementRole_InternalObserver();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Involved 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Involved();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Observer 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Observer();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Owner 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Owner();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Receiver 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Receiver();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Related 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Related();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Reviewer 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Reviewer();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_PersonInvolvementRole_Suggested 
             */
            QUrl TMO_Instance_PersonInvolvementRole_Suggested();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Priority_High 
             */
            QUrl TMO_Instance_Priority_High();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Priority_Low 
             */
            QUrl TMO_Instance_Priority_Low();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Priority_Medium 
             */
            QUrl TMO_Instance_Priority_Medium();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskContainer_activetasks 
             */
            QUrl TMO_Instance_TaskContainer_activetasks();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskContainer_archive 
             */
            QUrl TMO_Instance_TaskContainer_archive();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskContainer_inbox 
             */
            QUrl TMO_Instance_TaskContainer_inbox();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskContainer_outbox 
             */
            QUrl TMO_Instance_TaskContainer_outbox();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskContainer_trashtasks 
             */
            QUrl TMO_Instance_TaskContainer_trashtasks();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskEffortAccuracy_Approximate 
             */
            QUrl TMO_Instance_TaskEffortAccuracy_Approximate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskEffortAccuracy_Exact 
             */
            QUrl TMO_Instance_TaskEffortAccuracy_Exact();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskEffortType_Actual 
             */
            QUrl TMO_Instance_TaskEffortType_Actual();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskEffortType_Planned 
             */
            QUrl TMO_Instance_TaskEffortType_Planned();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskEffortType_Running 
             */
            QUrl TMO_Instance_TaskEffortType_Running();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskPrivacy_Private 
             */
            QUrl TMO_Instance_TaskPrivacy_Private();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskPrivacy_Professional 
             */
            QUrl TMO_Instance_TaskPrivacy_Professional();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Archived 
             */
            QUrl TMO_Instance_TaskState_Archived();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Completed 
             */
            QUrl TMO_Instance_TaskState_Completed();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Deleted 
             */
            QUrl TMO_Instance_TaskState_Deleted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Finalized 
             */
            QUrl TMO_Instance_TaskState_Finalized();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_New 
             */
            QUrl TMO_Instance_TaskState_New();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Running 
             */
            QUrl TMO_Instance_TaskState_Running();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Suspended 
             */
            QUrl TMO_Instance_TaskState_Suspended();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TaskState_Terminated 
             */
            QUrl TMO_Instance_TaskState_Terminated();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_Accepted_NotTransmitted 
             */
            QUrl TMO_Instance_TransmissionState_Accepted_NotTransmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_Accepted_Transmitted 
             */
            QUrl TMO_Instance_TransmissionState_Accepted_Transmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_NotTransmitted 
             */
            QUrl TMO_Instance_TransmissionState_NotTransmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_Rejected_NotTransmitted 
             */
            QUrl TMO_Instance_TransmissionState_Rejected_NotTransmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_Rejected_Transmitted 
             */
            QUrl TMO_Instance_TransmissionState_Rejected_Transmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionState_Transmitted 
             */
            QUrl TMO_Instance_TransmissionState_Transmitted();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionType_Delegation 
             */
            QUrl TMO_Instance_TransmissionType_Delegation();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionType_Join 
             */
            QUrl TMO_Instance_TransmissionType_Join();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_TransmissionType_Transfer 
             */
            QUrl TMO_Instance_TransmissionType_Transfer();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_01 
             */
            QUrl TMO_Instance_Urgency_01();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_02 
             */
            QUrl TMO_Instance_Urgency_02();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_03 
             */
            QUrl TMO_Instance_Urgency_03();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_04 
             */
            QUrl TMO_Instance_Urgency_04();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_05 
             */
            QUrl TMO_Instance_Urgency_05();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_06 
             */
            QUrl TMO_Instance_Urgency_06();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_07 
             */
            QUrl TMO_Instance_Urgency_07();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_08 
             */
            QUrl TMO_Instance_Urgency_08();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_09 
             */
            QUrl TMO_Instance_Urgency_09();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TMO_Instance_Urgency_10 
             */
            QUrl TMO_Instance_Urgency_10();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Task 
             * 
             * The tmo:task is the central entity of the tmo. Task can range 
             * from vague things to be possibly done in e distant future to concrete 
             * things to be done in a precise foreseeable manner. It is not unrealistic 
             * to assume that knowledge worker have hundred or more tasks a 
             * day. 
             * 
             * A task can have subtasks. Or the other way around, a task can be 
             * assigned to a supertask. A subtask is an independent task, which 
             * refers to another task via a subtask relation. Usually this 
             * means that the execution of the subtask is required in order 
             * to fulfil the execution of the super task. But finally this is 
             * left to the user; the user is free to finish a supertask while 
             * some subtasks are not finished. Subtasks can be used to structure 
             * complex task into manageable parts. Consequently subtasks 
             * can also be used to transfer a certain aspect of a complex task 
             * to other participants. 
             * 
             * A tmo:Task is modelled as a subclass of pimo:ProcessThing which 
             * is a subclass of pimo:Thing. This was done because the information 
             * artefacts which a knowledge worker has in his mind are supposed 
             * to be represented in the PIMO and tasks can be such concepts. 
             * This implies practically that tasks are not only visible within 
             * special task management applications but also within PIMO 
             * editing and viewing applications . This does not necessarily 
             * mean that in such a generic PIMO editing environment all task 
             * properties can be altered but rather that the task is at least 
             * displayed by its name. 
             */
            QUrl Task();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskContainer 
             */
            QUrl TaskContainer();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskDependency 
             * 
             * By means of the tmo:subtask property hierarchiesof tasks can 
             * be represented. This is the primary dependency structure. 
             * But further dependencies among tasks may exist. These dependencies 
             * allow for a graph network structure. For ease of use, dependencies 
             * should not be too frequent, otherwise the primarily character 
             * of a hierarchy would be diminished and a consequent graph (opposed 
             * to tree) representation would become considerable. However, 
             * such a graph representation has other drawbacks, the user is 
             * likely to loose oversight, tree structures are more helpful 
             * in structuring the work. 
             * 
             * A dependency relation is characterized by the type of the relation 
             * and by an additional description. There are different possibilities 
             * for dependency relations between tasks. 
             */
            QUrl TaskDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskEffort 
             * 
             * The class tmo:TaskEffort can be used to represent periods of 
             * time a task is intented to be work on, or was actually worked on. 
             * This differentiation is modelled by the three instances of 
             * tmo:TaskEffortType (Planned/Actual/Running). For the time, 
             * there are two diifferent wys of representation. one is the start 
             * and end time as two points of time, the other is the duration as 
             * an intervall. When start and end time are known the duration 
             * can be calculated, but there are also situations where only 
             * the duration is known or where the actual duration is not exactly 
             * the time between start and end time. 
             */
            QUrl TaskEffort();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskEffortAccuracy 
             * 
             * The class tmo:TaskEffortAccuracy can be used to differentiate 
             * whether the effort facts are "Exact" or wheather they are "Approximate". 
             */
            QUrl TaskEffortAccuracy();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskEffortType 
             * 
             * The class tmo:TaskEffortType provides instances which can 
             * be used to separate between the state of and task Effort; if this 
             * is planned for the future (Planned), if this is currently pending 
             * (Running) or if the effort was already done (Actual). 
             */
            QUrl TaskEffortType();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskPrivacyState 
             * 
             * The tmo:TaskPrivacyState serves for the separation between 
             * a professional and a private purpose of a task. This attribute 
             * provides with the values "professional/private" a high-level 
             * separation of privacy in terms of setting distribution and 
             * access 
             * rights to other users for the task. 
             */
            QUrl TaskPrivacyState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskState 
             * 
             * The tmo:taskState property allows tracking a task during its 
             * lifecycle. The tmo:TaskState class was modelled so that for 
             * each state can be set which the typical prior and posterior states 
             * are. This has the advantage that e.g. a UI can retrieve the allowed 
             * states at runtime from the ontology; rather can having this 
             * potentially changing knowledge hard coded. But the prior and 
             * posterior states are only defaults; the human user is always 
             * free to change the state. 
             */
            QUrl TaskState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TaskTransmission 
             * 
             * Tasks are not restricted to one person and may cross from 
             * the PTM of one person to the PTM of another. With transmission, 
             * we 
             * refer to the process of sending a task from one person (sender) 
             * to one 
             * or more other persons (receiver(s)) (see Section 5.2.1.3 Task 
             * Transmission). Task delegation and task transfer are two special 
             * kinds of 
             * task transmission which are described at the end of this section. 
             * In 
             * addition, the collaborative task is realized by task transmission. 
             * For the process of sending a task, some information is required. 
             * This 
             * information is also modelled in the task ontology. This information 
             * is still 
             * useful after the process of sending a task was completed. Task 
             * Delegation is a process where the sender of the task restricts 
             * the 
             * access rights of the receiver. This includes the right to distribute 
             * further 
             * this task and additionally the obligation to give feedback 
             * to the sender. 
             * The person that receives a task by delegation usually has not 
             * the full 
             * control about the task. The attributes described in the following 
             * section 
             * have the purpose to enable such "access rights". The receiver 
             * will also 
             * probably have obligations regarding what to report to whom 
             * at which 
             * time. 
             * In contrast, the simplest case is that all rights are granted 
             * to the receiver 
             * and there is no feedback desired by the sender. What to do with 
             * the task 
             * may be apparent by the organization context, or it may be left 
             * to the 
             * receiver. This is like sending an email, but with the advantage 
             * that the 
             * information is transferred in the "task space" of the participating 
             * persons. 
             */
            QUrl TaskTransmission();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TransmissionState 
             * 
             * States a task can go through during transmission of an task. 
             */
            QUrl TransmissionState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#TransmissionType 
             * 
             * By means of the tmo:TransmissionType one can distinguish several 
             * different types which might imply different business logic. 
             * e.g. delegation can mean that the results of the task fulfilment 
             * care to be reported back to the sender of the task. 
             */
            QUrl TransmissionType();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#UndirectedDependency 
             * 
             * A symmetric dependency between tasks. 
             */
            QUrl UndirectedDependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#Urgency 
             * 
             * The urgence of a task according to the "ABC analysis" (see also 
             * http://en.wikipedia.org/wiki/Time_management for a general 
             * description of "ABC" like task ordering). We envision not only 
             * two shades but allow for more fine grain nuances. There are a 
             * couple if instances realizing named instances of urgence. 
             * This property is usually combined with the property/class 
             * tmo:Importance. 
             */
            QUrl Urgency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#abilityCarrier 
             * 
             * Used in the role based modeling of tmo:AbilityCarrierInvolvement. 
             * See section 3. 
             */
            QUrl abilityCarrier();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#abilityCarrierInvolvement 
             * 
             * Connects the complex (n-ary, role described) AbilityCarrierInvolvement 
             * and the task. See tmo:AbilityCarrierInvolvement and section 
             * 3 for details. 
             */
            QUrl abilityCarrierInvolvement();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#abilityCarrierRole 
             * 
             * Used in the role based modeling of tmo:AbilityCarrierInvolvement. 
             * See section 3. 
             */
            QUrl abilityCarrierRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#abilityCarrierTask 
             * 
             * Used in the role based modeling of tmo:AbilityCarrierInvolvement. 
             * See section 3. 
             */
            QUrl abilityCarrierTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#actualCompletion 
             * 
             * The degree (in percent) to which a task is completed. 
             */
            QUrl actualCompletion();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#actualEndTime 
             */
            QUrl actualEndTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#actualStartTime 
             */
            QUrl actualStartTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#actualTime 
             * 
             * It can be important to state when a task should be performed; 
             * to set a proper start date (time) and end date (time) for working 
             * on a task. First, this is planning information about what the 
             * user wants to do (or is supposed to do). We refer to this type of 
             * dates as "target". When the time passes and the task is started 
             * and finally finished, statements about the "actual" start 
             * and end dates can be set. 
             * 
             * This super property subsumes points of times, which have values 
             * which are realized, in contrast to values which only have been 
             * intended (targetTime) 
             */
            QUrl actualTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#actualTimeUsage 
             * 
             * Represents the amount of time actually spend on a task. 
             */
            QUrl actualTimeUsage();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#attachment 
             * 
             * Connects the complex (n-ary, role described) Attachment and 
             * the task. See tmo:Attachment and section 3 for details. 
             */
            QUrl attachment();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#attachmentReference 
             * 
             * Used in the role based modeling of tmo:Attachment. See section 
             * 3. 
             */
            QUrl attachmentReference();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#attachmentRole 
             * 
             * Used in the role based modeling of tmo:Attachment. See section 
             * 3. 
             */
            QUrl attachmentRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#attachmentTask 
             * 
             * Inverse of attachment, connects an Attachment Association 
             * to the associated Task. Is required for every instance of Attachment. 
             * Used in the role based modeling of tmo:Attachment. See section 
             * 3. 
             */
            QUrl attachmentTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#containsTask 
             */
            QUrl containsTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#contextTask 
             * 
             * This property realizes the connection fromo the user work context 
             * by an relation to an workcontext:contextThread. 
             */
            QUrl contextTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#contextThread 
             * 
             * This property realizes the connection to the user work context 
             * by an relation to an workcontext:contextThread. 
             */
            QUrl contextThread();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#createdBy 
             * 
             * The pimo:Person which created am tmoAttachment. 
             */
            QUrl createdBy();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dateTime 
             * 
             * tmo:dateTime subsumes various properties with Range XMLSchema:dateTime. 
             * If possible the properties are further grouped by "abstract" 
             * properties. 
             */
            QUrl dateTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#delegability 
             * 
             * This property determines how appropriate a task is to be delegated 
             * to another Person. Some task have to be performed by the owning 
             * person and cannot be delegated. 
             */
            QUrl delegability();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dependency 
             * 
             * Tasks can be associated with each other in various ways. Those 
             * associations are realized by instances of tmo:TaskDependency. 
             */
            QUrl dependency();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dependencyDescription 
             * 
             * Endusers can clarify why they created a tmo:TaskDependency. 
             */
            QUrl dependencyDescription();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dependencyMemberA 
             * 
             * The semantic of this relation is defined in the subclass of undirected 
             * Dependency on which this property is stated. (The subject of 
             * the statement where this property is expressed). 
             * Used in the role based modeling of tmo:TaskDependency. See 
             * section 3. 
             */
            QUrl dependencyMemberA();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dependencyMemberB 
             * 
             * The semantic of this relation is defined in the subclass of undirected 
             * Dependency on which this property is stated. (The subject of 
             * the statement where this property is expressed). Used in the 
             * role based modeling of tmo:TaskDependency. See section 3. 
             */
            QUrl dependencyMemberB();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dependencyOrderNumber 
             * 
             * Task Dependencies can be ordered. 
             */
            QUrl dependencyOrderNumber();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#dueDate 
             * 
             * The dueDate according to popular time management paradigms. 
             */
            QUrl dueDate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#endTime 
             * 
             * It can be important to state when a task 
             * should be performed; to set a proper start date (time) and end 
             * date (time) for working on a task. First, this is planning 
             * information about what the user wants to do (or is supposed to 
             * do). We refer to this type of dates as "target". When the time 
             * passes and the task is started and finally finished, statements 
             * about the "actual" start and end dates can be set. 
             * 
             * This super property subsumes ending points of times. The subproperty 
             * tmo:targetEndTime is meant to capture the time when the task 
             * should be finished as envisioned in planning, in contrast tmo:actualEndTime 
             * is meant to capture the time when the task was actually finished. 
             */
            QUrl endTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#importance 
             * 
             * The importance of a task according to the "ABC analysis" (see 
             * http://en.wikipedia.org/wiki/Time_management). 
             */
            QUrl importance();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#indexPosition 
             * 
             * The position of ordered subtasks regarding their parent task. 
             * It is possible to use this property because we allow for only 
             * one parent task. More exactly this should be realized by an rdf:List, 
             * but those has the disadvantage that no typing is possible. This 
             * issue needs to be clarified in future revisions. 
             */
            QUrl indexPosition();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#involvedPerson 
             * 
             * Used in the role based modeling of tmo:PersonInvolvement. 
             * See section 3. 
             */
            QUrl involvedPerson();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#involvedPersonRole 
             * 
             * Used in the role based modeling of tmo:PersonInvolvement. 
             * See section 3. 
             */
            QUrl involvedPersonRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#involvedPersonTask 
             * 
             * Used in the role based modeling of tmo:PersonInvolvement. 
             * See section 3. 
             */
            QUrl involvedPersonTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#lastReviewDate 
             * 
             * The last date a task was reviewed. 
             */
            QUrl lastReviewDate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#logEntry 
             * 
             * Tasks are not static entities which are created once and then 
             * they remain constant until they are finished. The tasks as we 
             * see it should be able to evolve together with the beliefs/ideas/thoughts 
             * of the human user. Tasks are not only requirements to be fulfilled 
             * but tasks can reflect the usage of task related information, 
             * e.g. attachment documents are added during the lifespan of 
             * tasks where the exact point of time of the attachment can be important 
             * to understand the task proceeding or if due dates might be shifted. 
             * This information can be kept. We leave it open how this is done 
             * in concrete cases. 
             */
            QUrl logEntry();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#nextReviewIntervall 
             * 
             * The time when the next review should be performed 
             */
            QUrl nextReviewIntervall();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#personInvolvement 
             * 
             * connects the complex (n-ary, role described) PersonInvolvement 
             * and the task. See PersonInvolvement for details. 
             */
            QUrl personInvolvement();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#priority 
             * 
             * The priority of a task. See http://en.wikipedia.org/wiki/Time_management 
             * for different approaches on finding priorities. 
             */
            QUrl priority();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#progress 
             * 
             * The degree to which a task is completed. (abstract) (in percent) 
             */
            QUrl progress();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#receiveDateTime 
             * 
             * The date a tmo:TaskTransmission was received. 
             */
            QUrl receiveDateTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#sendDateTime 
             * 
             * The date a tmo:TaskTransmission was send. 
             */
            QUrl sendDateTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#startTime 
             * 
             * It can be important to state when a task 
             * should be performed; to set a proper start date (time) and end 
             * date (time) for working on a task. First, this is planning 
             * information about what the user wants to do (or is supposed to 
             * do). We refer to this type of dates as "target". When the time 
             * passes and the task is started and finally finished, statements 
             * about the "actual" start and end dates can be set. 
             * 
             * This super property subsumes starting points of times. The 
             * subproperty tmo:targetStartTime is meant to capture the time 
             * when the task should start as envisioned in planning, in contrast 
             * tmo:actualStartTime is meant to capture the time when the task 
             * was actually started. 
             */
            QUrl startTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#stateTypeRole 
             * 
             * The sub-properties of tmo:stateTypeRole realize role described 
             * associations. Some of those instances which are rather generic 
             * are stated in the TMO. 
             */
            QUrl stateTypeRole();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#subTask 
             * 
             * Tasks can be hierarchically arranged. See tmo:Task for details. 
             */
            QUrl subTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#subTaskOrdering 
             * 
             * This property allows to optionally state the ordering of the 
             * subtasks listed in the tmo:subTask property a task. This is 
             * only for ordering/sorting in GUIs, the semantic relation is 
             * defined in tmo:subTask, and if this and tmo:subTask differ, 
             * tmo:subTasks is the correct list (while ordering is lost). 
             * See also tmo:indexPosition for a property which realizes this 
             * by means of an workaround since the support of rdf:List is often 
             * limited on tool support. Also there is no support for range restrictions. 
             */
            QUrl subTaskOrdering();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#superTask 
             */
            QUrl superTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#targetCompletion 
             * 
             * The degree (in percent) to which a task should be completed. 
             * This property has a rather rare usage, but one can imagine situations 
             * where one explicitly states that a task has only to be performed 
             * to a certain extend. 
             */
            QUrl targetCompletion();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#targetEndTime 
             */
            QUrl targetEndTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#targetStartTime 
             */
            QUrl targetStartTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#targetTime 
             * 
             * It can be important to state when a task 
             * should be performed; to set a proper start date (time) and end 
             * date (time) for working on a task. First, this is planning 
             * information about what the user wants to do (or is supposed to 
             * do). We refer to this type of dates as "target". When the time 
             * passes and the task is started and finally finished, statements 
             * about the "actual" start and end dates can be set. 
             * 
             * This super property subsumes points of times, which have values 
             * which are intended, in contrast to values which only have been 
             * actually realized (actualTime) 
             */
            QUrl targetTime();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#targetTimeUsage 
             * 
             * Represents the amount of time planned to be spend on a task. 
             */
            QUrl targetTimeUsage();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskDescription 
             * 
             * For short identifying descriptions of task one should use the 
             * tmo:taskName, more elaborate textual content can be placed 
             * in the tmo:taskDescription property. The description is amongst 
             * others meant to specify what needs to be done in the task in an 
             * informal way. The task description is the right place to state 
             * information about what to do with a task. The task description 
             * helps users to understand the goal and the proceeding of a task. 
             * It can also describe the context of a task. The task description 
             * is composed at minimum of a summary of what is done to reach the 
             * goal. The task description is the main source for identifying 
             * related information, e.g., suitable patterns. 
             */
            QUrl taskDescription();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffort 
             */
            QUrl taskEffort();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffortAccuracy 
             * 
             * See class tmo:TaskEffortAccuracy. 
             */
            QUrl taskEffortAccuracy();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffortDuration 
             * 
             * The amount of time a tmo:TaskEffort should represent in seconds. 
             * This can be eighter calculated from tmo:taskEffortStartDate 
             * and tmo:taskEffortEndDate or it can be set explicitly. 
             */
            QUrl taskEffortDuration();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffortEndDate 
             * 
             * The point of time a tmo:TaskEffort ended. 
             */
            QUrl taskEffortEndDate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffortStartDate 
             * 
             * The point of time a tmo:TaskEffort started. 
             */
            QUrl taskEffortStartDate();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskEffortType 
             * 
             * See class tmo:TaskEffortType. 
             */
            QUrl taskEffortType();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskGoal 
             * 
             * The goal which is to be accomplished by a task. Goal orientation 
             * is a primary objective in task management. For goal articulation 
             * there are different possibilities on a tmo:Task instance. 
             * First there is a set of already articulated goals, which are 
             * made available to the user for simple selection. In contrast 
             * to Web 2.0 style applications those goals can be conceptualized 
             * as instances. The semantic desktop user is free to enhance his 
             * present goal repertoire by new instances. In principle the 
             * user can also use the tmo:taskName property for short sequences 
             * of text or the tmo:taskDescription property with its ability 
             * to display longer sequences of text to manifest goals. In the 
             * long term this is not desirable. When a phrase is repeatedly 
             * used as a goal, it should be uses as a typed "marker" and a instance 
             * should be used. The range is kept very flexible as a Thing. 
             */
            QUrl taskGoal();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskId 
             * 
             * The tmo:taskId allows a unique identification of a task object 
             * within the range of all Nepomuk objects. 
             * The tmo:taskId is automatically generated during the creation 
             * of a task. Using UUID is an valid approach to generate id's. 
             */
            QUrl taskId();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskName 
             * 
             * The tmo:taskName helps the user to identify a tmo:task in a list. 
             * It should be expressive enough to give a meaningful recognition. 
             * Details should be written in the tmo:taskDescription attribute 
             * instead. A tmo:taskName attribute is not allowed to contain 
             * line breaks. The name property is a sub-property of the nao:prefLabel 
             * , so this instance can by default be displayed correctly in places 
             * which are not specialized towards the TMO alone. 
             */
            QUrl taskName();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskPrivacyState 
             * 
             * For the separation between professional and private purpose 
             * of a task, this attribute provides with the values "professional/private" 
             * a high level separation of privacy in terms of setting distribution 
             * rights to other users for the task. 
             * This separation may arise as a general Nepomuk issue and may 
             * therefore be handled in conjunction with a privacy preserving 
             * SSD architecture. 
             */
            QUrl taskPrivacyState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskReference 
             * 
             * Abstract super-property for various properties which establish 
             * a connections to a task. 
             */
            QUrl taskReference();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskSource 
             * 
             * The taskSopurce property can be used to state from which sources 
             * a task was derived, e.g from another task or from an task pattern 
             */
            QUrl taskSource();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskState 
             * 
             * The task state property allows tracking a task during its lifecycle. 
             * A tmo:taskState is required, initially it can e.g. be set to 
             * "new". 
             */
            QUrl taskState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskStateChangesFrom 
             * 
             * Allows to model the possible or proposed state transitions. 
             */
            QUrl taskStateChangesFrom();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskStateChangesTo 
             * 
             * Allows to model the possible or proposed state transitions. 
             */
            QUrl taskStateChangesTo();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#taskTransmission 
             * 
             * Creates the connection to the tmo:TaskTransmission where 
             * the details of a transmission act are aggregated. 
             */
            QUrl taskTransmission();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#timeUsage 
             * 
             * Represents the amount of time spend on a task. 
             */
            QUrl timeUsage();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#timemanagement 
             * 
             * Abstract super-property for various proerties related to 
             * time management. 
             */
            QUrl timemanagement();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionFrom 
             */
            QUrl transmissionFrom();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionState 
             */
            QUrl transmissionState();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionStateChangesFrom 
             * 
             * Allows to model the possible or proposed state transitions. 
             */
            QUrl transmissionStateChangesFrom();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionStateChangesTo 
             * 
             * Allows to model the possible or proposed state transitions. 
             */
            QUrl transmissionStateChangesTo();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionTask 
             * 
             * The task which is actually to transferred by means of an tmo:TaskTransmission. 
             */
            QUrl transmissionTask();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionTo 
             */
            QUrl transmissionTo();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#transmissionType 
             * 
             * See class tmo:TransmissionType. 
             */
            QUrl transmissionType();

            /**
             * http://www.semanticdesktop.org/ontologies/2008/05/20/tmo#urgency 
             * 
             * The urgence of a task according to the "ABC analysis" (see http://en.wikipedia.org/wiki/Time_management). 
             */
            QUrl urgency();
        }
    }
}

#endif
