/*
    Copyright (c) 2009 Charles Wautier <charles.wautier@gmail.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ui_newsitedialog.h"
#include "newsitedialog.h"

#include <KDebug>
#include <KLocale>
#include <KTitleWidget>
#include <kcolorscheme.h>



NewSiteDialog::NewSiteDialog(QWidget* parent)
        : KDialog(parent)
{
    setButtons(Ok | Cancel);
    setupUi(mainWidget());

    m_title->setPixmap(KIcon("nepomuk").pixmap(32, 32));

    m_nameLabel->setMaximumSize(16000, 19);
    m_nameLabel->setMinimumSize(300, 19);
    m_nameLabel->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);

    m_url->setMaximumSize(16000, 19);
    m_url->setMinimumSize(300, 19);
    m_url->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);

    m_title->setMaximumSize(16000, 16000);
    m_title->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Preferred);

    setMaximumSize(800, 16000);
    setMinimumSize(400, 200);
    setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);

}

NewSiteDialog::~NewSiteDialog()
{
}

#include "newsitedialog.moc"
