/*
   Copyright (c) 2009 Sebastian Trueg <trueg@kde.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3 or any later version
   accepted by the membership of KDE e.V. (or its successor approved
   by the membership of KDE e.V.), which shall act as a proxy
   defined in Section 14 of version 3 of the license.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "mainwindow.h"

#include "taskmodel.h"
#include "taskfiltermodel.h"
#include "daterangeselectionwidget.h"
#include "daterange.h"

#include <QtGui/QHBoxLayout>
#include <QtGui/QTreeView>


MainWindow::MainWindow()
    : QMainWindow()
{
    // setup UI
    setWindowTitle( i18n( "Nepomuk - Task Manager" ) );
    QWidget* w = new QWidget( this );
    setupUi( w );
    setCentralWidget( w );

    m_taskFilterModel = new Nepomuk::TaskFilterModel(this);
    m_taskModel = new Nepomuk::TaskModel(this);
    m_taskFilterModel->setSourceModel( m_taskModel );
    m_taskView->setModel( m_taskFilterModel );

    connect( m_checkShowCompletedTasks, SIGNAL( toggled( bool ) ),
             m_taskFilterModel, SLOT( setShowCompletedTasks( bool ) ) );
    connect( m_dateRangeSelectionWidget, SIGNAL( rangeChanged( DateRange ) ),
             m_taskFilterModel, SLOT( setFilterDateRange( DateRange ) ) );
}


MainWindow::~MainWindow()
{
}

#include "mainwindow.moc"
