/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <QObject>
#include <QMap>
#include <QList>
#include <nepomuk/resource.h>

namespace Nepomuk {
  class SimpleResourceModel;
  namespace Types {
    class Class;
  }
}

namespace Soprano {
  class Statement;
}

class KUrl;
class QListView;

class   Controller : public QObject
{
  Q_OBJECT
public:
  enum ModelType{Person = 0, File = 1, EMail = 2, Url = 3};
  Controller(QObject* parent = 0);
  void addModel(QListView*, ModelType);
  static QList<Nepomuk::Resource> getResourcesOfTypeWithExclusion( const Nepomuk::Types::Class& type, const KUrl& resource);
  static KUrl    FromUriToNepomukTreeUrl( const KUrl& uri );

public Q_SLOTS:
  void slot_currentChanged( const KUrl& );

  void statementAdded( const Soprano::Statement& );
  void statementRemoved( const Soprano::Statement& );

signals:
  void taskArborescenceChanged( const KUrl& );
  void dataInBDModified( );

private:
  QMap<ModelType, Nepomuk::SimpleResourceModel*> m_resourceModelMap;
};
#endif
