/*
  Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>
#include <KMessageBox>
#include <nepomuk/resourcemanager.h>

#include "mainwindow.h"

int main( int argc, char *argv[] )
{
    KAboutData aboutData( "tasktop",
                          "tasktop",
                          ki18n( "Tasktop" ),
                          "0.9",
                          ki18n( "Cross-application task manager" ),
                          KAboutData::License_GPL,
                          ki18n( "(c) 2009, Mandriva, Mathieu Dupuy" ) );
    //aboutData.setBugAddress( "http://qa.mandriva.com/" );
    aboutData.setCustomAuthorText( ki18n( "Bugs have to be reported at http://qa.mandriva.com"),
                                   ki18n("Bugs have to be reported at http://qa.mandriva.com" ) );
    aboutData.setOtherText( ki18n( "Tasktop is a cross-application task manager. "
                                   "It lets you create tasks and associate resources to them, such as files, "
                                   "Web pages, emails, contacts etc.\n\nTasktop builds upon Nepomuk, "
                                   "the KDE metadata layer." ));
    aboutData.addAuthor( ki18n( "Mathieu Dupuy"), ki18n("Maintainer"), "mdupuy@mandriva.com");
    aboutData.setProgramIconName( "view-calendar-list" );

    KCmdLineArgs::init( argc, argv, &aboutData );

    KCmdLineOptions options;
    KCmdLineArgs::addCmdLineOptions( options );

    KApplication app;
    KGlobal::locale()->insertCatalog("tasktop");
    if (Nepomuk::ResourceManager::instance()->init() != 0) {
        KMessageBox::error( NULL, i18n("The connection to the Nepomuk server could not be established. "
                                       "The application will not be able to run properly. Please check "
                                       "from the KDE System Settings that the Nepomuk server has been started.") );
        return 1;
    }

    MainWindow* mainWin = new MainWindow;

    mainWin->show();
    return app.exec();
}
