/*
  Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KMainWindow>

namespace Ui {
    class MainWindow;
}
namespace Nepomuk {
    class SimpleResourceModel;
    namespace Types {
        class Class;
    }
}
class QString;
class QModelIndex;
class Controller;
class QListWidget;



class MainWindow : public KMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void setupButtons();
    void simpleResourceBinder(const Nepomuk::Types::Class& );
    Nepomuk::Resource NewUrlDialog();
    void changeEvent(QEvent *);
    void closeEvent(QCloseEvent *event);

public Q_SLOTS:
    void slot_customContextMenuRequested_taskview( const QPoint& );
    void slot_customContextMenuRequested( const QPoint& );

    void slot_taskActivated( const KUrl& );
    void slot_personActivated( const QModelIndex& );
    void slot_mailActivated( const QModelIndex& );
    void slot_resourceActivated( const QModelIndex& );

    void slot_exportTasks();
    void slot_importTasks();

    void slot_newTask();
    void slot_newPerson();
    void slot_newOrganization();
    void slot_newMail();
    void slot_newUrl();
    void slot_about();
    void slot_expandAll();

    void slot_bindPerson();
    void slot_bindFile();
    void slot_bindUrl();

    void slot_enableAssociateButtons( const QModelIndex& );
    void slot_enableDissociatebuttons( );//QWidget* );

    //void slot_associate( int );
    void slot_dissociate( int );
    void statementsAddedOrRemoved();

signals:
    void taskSelected(bool);
    void syncWithNepomukDB( const KUrl& );

private:
    Ui::MainWindow *m_ui;
    void readSettings();
    void writeSettings();
};

#endif // MAINWINDOW_H
