/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "neworganizationdialog.h"
#include "ui_neworganizationdialog.h"

#include <Nepomuk/Resource>
#include "pimo.h"

NewOrganizationDialog::NewOrganizationDialog(QWidget *parent) :
  //Ui::NewOrganizationDialog
    KDialog(parent)
{
    QWidget* w = new QWidget( this );

    setMainWidget( w );
    setupUi( w );

    m_iconButton->setIcon( "user-group-new" );
    connect ( m_name, SIGNAL( textChanged( const QString& ) ),
              this, SLOT( allowCreation() ) );
}

void NewOrganizationDialog::allowCreation()
{
  enableButtonOk( !m_name->text().isEmpty() );
}

Nepomuk::Resource NewOrganizationDialog::CreateNewOrganization( QWidget* parent )
{
  NewOrganizationDialog dlg(parent);

  if ( dlg.exec() == Accepted )
    {
      Nepomuk::Resource Organization( dlg.m_name->text(), Nepomuk::Vocabulary::PIMO::Organization() );
      dlg.writeProperties( Organization );

      return Organization;
    }
  return Nepomuk::Resource();
}

void NewOrganizationDialog::writeProperties( Nepomuk::Resource& Organization ) const
{
  Organization.setLabel( m_name->text() );
  Organization.setSymbols( QStringList( m_iconButton->icon() ));
  // if ( m_details->isCheched() )
  //   {
      // if ( !m_address->isEmpty() )
      //   Organization.
    // }
}

void NewOrganizationDialog::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        retranslateUi(this);
        break;
    default:
        break;
    }
}
