/*
   Copyright (C) 2009 by Sebastian Trueg <trueg at kde.org>
   Copyright (C) 2009 by Charles Wautier <charles.wautier@gmail.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef _NEW_PERSON_DIALOG_H_
#define _NEW_PERSON_DIALOG_H_

#include <KDialog>
#include <Nepomuk/Resource>

namespace Nepomuk {
  class Resource;
}

class NEPOMUK_EXPORT NewPersonDialog : public KDialog
{
    Q_OBJECT

public:
    ~NewPersonDialog();

    static Nepomuk::Resource createNewPerson( QWidget* parent = 0 );
    static void edit( Nepomuk::Resource& res, QWidget* parent = 0 );

private Q_SLOTS:
    void slotLabelChanged( const QString& text );

private:

    class Private;
    Private * d;

    NewPersonDialog( QWidget* parent = 0 );
    static void readProperties( NewPersonDialog&, const Nepomuk::Resource& );
    static void writeProperties( const NewPersonDialog&, Nepomuk::Resource& );
};

#endif
