/*
   Copyright (C) 2009 by Dupuy Mathieu <mdupuy at mandriva.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <QSortFilterProxyModel>
#include "simpleresourcemodel.h"

#include "simpleresourcelistview.h"

#include <kdebug.h>

SimpleResourceListView::SimpleResourceListView(QWidget* parent) : QListView(parent)
{
    m_resourceModel = new Nepomuk::SimpleResourceModel(this);
    QSortFilterProxyModel* proxyModel = new QSortFilterProxyModel(this);
    proxyModel->setSourceModel(m_resourceModel);
    setModel(proxyModel);
    setSelectionMode( QAbstractItemView::ExtendedSelection );
}

QList<Nepomuk::Resource> SimpleResourceListView::getSelectedResources()
{
    QListIterator<QModelIndex> i( selectionModel()->selectedRows() );
    QList<Nepomuk::Resource> resourceList;

    while ( i.hasNext() ) {
        resourceList << i.next().data( Nepomuk::ResourceModel::ResourceUriRole ).toUrl();
    }
    return resourceList;
}

void SimpleResourceListView::setResources(const QList<Nepomuk::Resource>& resources)
{
    m_resourceModel->setResources(resources);
}
